curl --request GET \
--url https://api.skulabs.com/inventory/get_history \
--header 'Authorization: Bearer <token>'{
"rows": [
{
"user_id": "507f1f77bcf86cd799439011",
"item_id": "<string>",
"location_id": "<string>",
"change": {
"type": "increase",
"quantity": 123,
"notes": "<string>"
},
"time": "2025-01-15T12:00:00.000Z",
"old_value": 123,
"sku": "<string>"
}
]
}Retrieve the inventory change history for a specific item at a warehouse.
curl --request GET \
--url https://api.skulabs.com/inventory/get_history \
--header 'Authorization: Bearer <token>'{
"rows": [
{
"user_id": "507f1f77bcf86cd799439011",
"item_id": "<string>",
"location_id": "<string>",
"change": {
"type": "increase",
"quantity": 123,
"notes": "<string>"
},
"time": "2025-01-15T12:00:00.000Z",
"old_value": 123,
"sku": "<string>"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Start date
"2025-01-15"
End date
"2025-01-15"
Filter by notes text
Inventory history records
Array of inventory change log rows
Show child attributes